Bug 216119 - [NEW PORT] net-mgmt/alertmanager: alert routing component of prometheus
Summary: [NEW PORT] net-mgmt/alertmanager: alert routing component of prometheus
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-15 17:27 UTC by michal
Modified: 2017-07-17 21:25 UTC (History)
1 user (show)

See Also:
bsam: maintainer-feedback+


Attachments
net-mgmt/alertmanager (5.13 KB, application/x-shar)
2017-01-15 17:27 UTC, michal
no flags Details
Diff for UIDs and GIDs (670 bytes, patch)
2017-01-16 09:03 UTC, michal
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description michal 2017-01-15 17:27:43 UTC
Created attachment 178927 [details]
net-mgmt/alertmanager
Comment 1 michal 2017-01-16 09:03:54 UTC
Created attachment 178946 [details]
Diff for UIDs and GIDs

Forgot to include the changes to [UG]IDs. Of course.
Comment 2 Boris Samorodov freebsd_committer 2017-07-17 20:46:45 UTC
Take.
Comment 3 commit-hook freebsd_committer 2017-07-17 21:12:09 UTC
A commit references this bug:

Author: bsam
Date: Mon Jul 17 21:11:55 UTC 2017
New revision: 446115
URL: https://svnweb.freebsd.org/changeset/ports/446115

Log:
  UIDs, GIDs: Create new IDs for prometheus alertmanager.

  PR:		216119
  Submitted by:	michal@hanu.la

Changes:
  head/GIDs
  head/UIDs
Comment 4 commit-hook freebsd_committer 2017-07-17 21:13:12 UTC
A commit references this bug:

Author: bsam
Date: Mon Jul 17 21:12:42 UTC 2017
New revision: 446116
URL: https://svnweb.freebsd.org/changeset/ports/446116

Log:
  The Alertmanager handles alerts sent by client applications such
  as the Prometheus server. It takes care of deduplicating, grouping,
  and routing them to the correct receiver integrations such as email,
  PagerDuty, or OpsGenie. It also takes care of silencing and inhibition
  of alerts.

  WWW: https://prometheus.io/docs/alerting/alertmanager/

  PR:		216119
  Submitted by:	Michal Hanula <michal@hanu.la>

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/alertmanager/
  head/net-mgmt/alertmanager/Makefile
  head/net-mgmt/alertmanager/distinfo
  head/net-mgmt/alertmanager/files/
  head/net-mgmt/alertmanager/files/alertmanager.in
  head/net-mgmt/alertmanager/pkg-descr
Comment 5 commit-hook freebsd_committer 2017-07-17 21:20:29 UTC
A commit references this bug:

Author: bsam
Date: Mon Jul 17 21:19:34 UTC 2017
New revision: 50510
URL: https://svnweb.freebsd.org/changeset/doc/50510

Log:
  Add Michal Hanula for net-mgmt/alertmanager.

  PR:		216119
  Submitted by:	Michal Hanula <michal@hanu.la>

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml
Comment 6 Boris Samorodov freebsd_committer 2017-07-17 21:25:00 UTC
Committed, thanks!

We have a tradition to add submitters of new ports to The FreeBSD Additional Contributors List: https://www.freebsd.org/doc/en/articles/contributors/contrib-additional.html

So, you've been added. Awaiting for your new contributions!